@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

@font-face {
    font-family: 'ArialNarrow';
    src: url('../font/arialnarrow.ttf') format('truetype');
}

main{
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    overflow: auto;
    scrollbar-width: none;
}

#section-perfil{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-top: 7rem;
}

#logo-usuario{
    width: 165px;
}

.button-24 {
  background: #FF4742;
  border: 1px solid #FF4742;
  border-radius: 6px;
  box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 4px;
  box-sizing: border-box;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family:"Poppins", sans-serif;
  font-size: 16px;
  font-weight: 800;
  line-height: 16px;
  min-height: 40px;
  outline: 0;
  padding: 6px 7px;
  text-align: center;
  text-rendering: geometricprecision;
  text-transform: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
}


#nome-usuario {
    background-color: #0f7ebc;
    padding: 0.5rem 3.5rem;
    border-radius: 0.8rem;
    margin: 0;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -30px;
    width: 140px;
    font-size: 1rem;
    font-weight: 500;
    transform: translateX(-50%);
}

#roda{
    width: 320px;
    position: absolute;
    z-index: -1;
    top: -95px;
}

#descricao-perfil{
    font-size: 1.2rem;
    font-weight: 400;
    color: black;
    text-align: center;
    font-family: 'ArialNarrow', sans-serif;
    margin-bottom: 4rem;
    margin-top: 2.5rem;
    margin-left: 0.8rem;
    margin-right: 0.8rem;
}

.img_perfil{
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
}

.div-perfil{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    margin: 1rem;
    margin-bottom: 6rem;
    width: 90%;
}

.inputs_perfil{
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
}

.input-container{
    display: flex;
    align-items: center;
    gap: 0.4rem;
    width: 100%;
    position: relative;
}

.div_icone{
    font-size: 16px;
    width: 18px;
    text-align: center;
    position: absolute;
    left: -26px;
    top: 50%;
    transform: translateY(-50%);
}

.div_informacoes{
    display: flex;
    gap: 0.5rem;
    justify-content: space-around;
    width: 100%;
}

.div_descricao{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.texto_descricao{
    margin: 0;
    font-weight: 500;
    font-size: 19px;
}

.icone_pontos{
    color: #F6A51C;
}

.div_pontos{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.3rem;
}

.div_icone_pontos{
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.cards{
    background-color: #ffffff;
    padding: 0.8rem;
    border-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    color: black;
}

.sub-cards{
    background-color: #ffffff;
    padding: 0.8rem;
    border-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: start;
    display: flex;
    flex-direction: column;
    color: black;
}

.sub-cards-acontecimentos{
    background-color: #ffffff;
    padding: 0.8rem;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border: 1px solid #cdcdcd;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    box-sizing: border-box;
    position: relative;
    justify-content: center;
    align-items: start;
    display: flex;
    flex-direction: column;
    color: black;
}

.titulo_perfil{
    font-weight: 500;
    margin: 0;
}

.texto_pontos{
    color: #F6A51C;
    font-size: 18px;
}

.icone_sessoes{
    font-size: 18px;
    background-color: #FFE4E6;
    color: #E11D48;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.icone_sequencia{
    font-size: 18px;
    background-color: #FEF3C7;
    color: #DD8318;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.titulo_pontos{
    font-weight: 500;
}

.titulo_tarefas{
    font-size: 20px;
    font-weight: 500;
    margin: 0;
    margin-bottom: 0.2rem;
}

.descricao_tarefas{
    font-size: 18px;
    font-weight: 400;
    color: grey;
    margin: 0;
}

.div_tarefas{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.container_tarefas{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 1rem;
}

.div_progresso{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.texto_progresso{
    font-size: 18px;
    margin: 0;
    font-weight: 500;
}

.div_tarefas_semanais{
    display: flex;
    flex-direction: column;
    width: 100%;
}

.container_semanal{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.titulo_analise{
    font-weight: 500;
    margin: 0;
    margin-bottom: 0.2rem;
}

.div_analise{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.btn_categorias{
    background-color: #FAFBFC;
    border: 1px solid rgba(27, 31, 35, 0.15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;
    box-sizing: border-box;
    color: #24292E;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    list-style: none;
    padding: 6px 16px;
    position: relative;
    transition: background-color 0.2s cubic-bezier(0.3, 0, 0.5, 1);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
    word-wrap: break-word;
}

.btn_enviar_registro{
    appearance: none;
    background-color: #2ea44f;
    border: none;
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    padding: 6px 16px;
    width: 100%;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
}

.inputs_pontos{
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins';
}

.inputs_pontos_descricao{
    width: 100%;
    background-color: #f5f5f5;
    color: #242424;
    padding: .5rem;
    min-height: 60px;
    resize: none;
    border-radius: 4px;
    outline: none;
    border: none;
    line-height: 1.15;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    font-family: 'Poppins';
}

.container_registro{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.img_acontecimentos{
    width: 100%;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    max-height: 200px;
    object-fit: cover;
}

.cards_acontecimentos{
    width: 100%;
}

.btn_historico_pontos{
    align-items: center;
    background-color: #FFFBEB;
    font-family: 'Poppins';
    padding: 0.5rem;
    border: 1px solid #F6A51C;
    border-radius: .25rem;
    box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
    box-sizing: border-box;
    color: rgba(0, 0, 0, 0.85);
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;
}

.texto_nivel{
    color: #0086B4;
    font-size: 18px;
    margin: 0;
}

.icone_nivel{
    font-size: 22px;
    color: #0086B4;
}

.texto_barra_nivel{
    font-size: 14px;
    font-weight: 400;
    position: absolute;
    top: -10px;
    margin: 0;
    left: 0;
}

.texto_barra_nivel_direita{
    font-size: 14px;
    font-weight: 400;
    position: absolute;
    top: -10px;
    margin: 0;
    right: 0;
}

.div_barra{
    position: relative;
    margin-top: 1rem;
    margin-bottom: 1rem;
    width: 100%;
    max-width: 200px;
}